List the connector library
curl --request GET \
--url https://guidinghand.ai/v1/connectors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "connector",
"id": "notion",
"name": "Notion",
"category": "Knowledge",
"about": "<string>",
"url": "https://mcp.notion.com/mcp",
"auth": "oauth",
"server": "notion",
"use_when": "<string>",
"setup": "<string>"
}
],
"has_more": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Agent tools
List the connector library
Official remote MCP servers the org can connect once and give to any agent, each checked to answer MCP. auth says how it signs in: oauth (connect with POST /v1/mcp_oauth/start), client (register Eager with the provider and send that client_id to start) or none. Needs the admin role or an API key.
GET
/
v1
/
connectors
List the connector library
curl --request GET \
--url https://guidinghand.ai/v1/connectors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "connector",
"id": "notion",
"name": "Notion",
"category": "Knowledge",
"about": "<string>",
"url": "https://mcp.notion.com/mcp",
"auth": "oauth",
"server": "notion",
"use_when": "<string>",
"setup": "<string>"
}
],
"has_more": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}